## suds 1.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = /usr/bin/sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Suds.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Suds.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Suds"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Suds"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## suds 0.4.1

=== debian/changelog ===
suds (0.4.1-11build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:15 +0000

suds (0.4.1-11) unstable; urgency=low

  * Updating to standards version 3.9.5, no changes needed.
  * Changing to buildsystem pybuild.
  * Pointing VCS fields to new location on alioth.debian.org.
  * Using dpkg defaults for xz compression.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 29 Nov 2013 19:04:44 +0100

suds (0.4.1-10) unstable; urgency=low

  * Adding 04-merge-schema.patch. Thanks to Russell Stuart (Closes:
    #728184).

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 04 Nov 2013 18:21:25 +0100

suds (0.4.1-9) unstable; urgency=low

  * Adding 03-fix-timezone-handling.patch (Closes: #714722). Thanks to
    Artoi Jantunen for providing the patch!

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 02 Jul 2013 13:11:54 +0200

suds (0.4.1-8) unstable; urgency=high

  * Removing needless empty line in rules.
  * Adding 02-fix-unsecure-cache-path.patch for CVE-2013-2217 (Closes: #714340).

 -- Mathias Behrle <mathiasb@m9s.biz>  Sat, 29 Jun 2013 17:42:55 +0200

suds (0.4.1-7) unstable; urgency=low

  * Removing Daniel from Uploaders. Thanks for your work! (Closes: #704358).
  * Bumping X-Python-Version to 2.6 (Closes: #708098).

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 13 May 2013 14:06:47 +0200

suds (0.4.1-6) experimental; urgency=low

  * Removing obsolete Dm-Upload-Allowed
  * Updating to Standards-Version: 3.9.4, no changes needed.
  * Updating Vcs-Git to correct address.
  * Adding watch file.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 24 Feb 2013 14:25:45 +0100

suds (0.4.1-5) unstable; urgency=low

  [ Mathias Behrle ]
  * Updating to Standards-Version: 3.9.3, no changes needed.
  * Updating year in copyright.
  * Adding Format header for DEP5.

  [ Daniel Baumann ]
  * Updating maintainers field.
  * Updating vcs fields.
  * Switching to xz compression.
  * Updating to debhelper version 9.
  * Correcting copyright file to match format version 1.0.
  * Rediffing remove-makefile.patch with common diff options.

 -- Daniel Baumann <daniel@debian.org>  Sat, 30 Jun 2012 17:22:44 +0200

suds (0.4.1-4) unstable; urgency=low

  * Correcting package long description (Closes: #652460).
  * Removing deprecated XB-Python-Version for dh_python2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 20 Dec 2011 13:53:10 +0100

suds (0.4.1-3) experimental; urgency=low

  [ Mathias Behrle ]
  * Changing my email address.
  * Updating Copyright.
  * Updating to standards version 3.9.2.

  [ Daniel Baumann ]
  * Compacting copyright file.
  * Compacting copyright file.
  * Moving to source format 3.0 (quilt).

  [ Mathias Behrle ]
  * Moving from deprecated python-support to dh_python2.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 17 Jul 2011 19:39:00 +0200

suds (0.4.1-2) experimental; urgency=low

  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel@debian.org>  Fri, 12 Nov 2010 14:18:23 +0100

suds (0.4.1-1) experimental; urgency=low

  [ Mathias Behrle ]
  * Correcting package long description to make lintian happy.

  [ Daniel Baumann ]
  * Updating to debhelper version 8.
  * Merging upstream version 0.4.1.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 31 Oct 2010 16:10:08 +0100

suds (0.4-1) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 0.4.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Aug 2010 16:28:47 +0200

suds (0.3.9-1) unstable; urgency=low

  * Initial release.

 -- Mathias Behrle <mathiasb@mbsolutions.selfip.biz>  Tue, 01 Jun 2010 23:03:02 +0200

=== debian/control ===
Source: suds
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders: Mathias Behrle <mathiasb@m9s.biz>
Build-Depends:
 debhelper (>= 9), python (>= 2.6.6-3~), python-setuptools, dh-python
Standards-Version: 3.9.5
Homepage: http://www.fedorahosted.org/suds/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tryton/suds.git
Vcs-Git: git://anonscm.debian.org/tryton/suds.git
X-Python-Version: >= 2.6

Package: python-suds
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
Description: Lightweight SOAP client for Python
 The suds project is a Python soap web services client lib. Suds leverages
 Python meta programming to provide an intuitive API for consuming web services.
 Objectification of types defined in the WSDL is provided without class
 generation. Programmers rarely need to read the WSDL since services and WSDL
 based objects can be easily inspected. Supports pluggable soap bindings.

=== debian/rules ===
#!/usr/bin/make -f

# needed for pbuilder
export LC_ALL=C.UTF-8

PACKAGE_NAME := $(shell python setup.py --name)
export PYBUILD_NAME=${PACKAGE_NAME}

%:
	dh ${@} --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://fedorahosted.org/releases/s/u/suds/python-suds-(\d+.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
https://pypi.python.org/packages/source/s/suds/suds-(\d+.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## suds 0.7~git20150727.94664dd

=== debian/changelog ===
suds (0.7~git20150727.94664dd-5) unstable; urgency=medium

  * Add six to test dependencies to fix test suite

 -- Scott Talbert <swt@techie.net>  Sun, 25 Feb 2018 22:46:06 -0500

suds (0.7~git20150727.94664dd-4) unstable; urgency=medium

  * Update VCS fields to reflect new location on Salsa
  * Update URL and dates in copyright file
  * Update standards version to 4.1.3 - no changes needed
  * Remove upstream/signing-key.pgp (was for old upstream)
  * Add a package test suite

 -- Scott Talbert <swt@techie.net>  Fri, 23 Feb 2018 22:34:48 -0500

suds (0.7~git20150727.94664dd-3) unstable; urgency=medium

  * Update standards version
  * Ensure clean gets rid of everything
  * Update watch file for new upstream
  * Rebuild mainly for Ubuntu

 -- Scott Talbert <swt@techie.net>  Wed, 17 Feb 2016 19:34:23 -0500

suds (0.7~git20150727.94664dd-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Update Vcs URL to canonical one
  * Add a python3-suds.docs file
  * Add python-six to the build deps (needed for tests)

  [ Thomas Goirand ]
  * Ran wrap-and-sort -t -a.
  * Removed now useless X-Python-Version: >= 2.6 (even Jessie has 2.7).
  * Removed now useless version in python build-depends (satisfied in Jessie).
  * Moved python-pytest from build-depends to build-depends-indep.
  * Added myself as uploader.
  * Added Python 3 support (Closes: #783029, #810007)
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" to d/source/options, and
    simplyfied dh_auto_clean.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Feb 2016 11:43:26 +0800

suds (0.7~git20150727.94664dd-1) unstable; urgency=low

  * Change upstream URL and add note that package is now using Jurko's fork
  * Imported Upstream version 0.7~git20150727.94664dd
  * Add pytest to build-deps so that tests will get run
  * Use bz2 compression
  * Update docs files for jurko fork
  * Remove patches as they've been incorporated upstream
  * Add patch to fix failing HTTP tests
  * Fix clean so that it actually cleans up everything
  * Fix spelling error in changelog

 -- Scott Talbert <swt@techie.net>  Sat, 30 Jan 2016 21:36:30 -0500

suds (0.4.1-18) unstable; urgency=low

  * Remove Mathias Behrle from Uploaders (Closes: #812191)
  * Update Vcs URLs to new collab-maint ones
  * Remove deprecation warnings - package is no longer planned to be retired
  * Add myself to copyright file

 -- Scott Talbert <swt@techie.net>  Thu, 28 Jan 2016 23:28:07 -0500

suds (0.4.1-17) unstable; urgency=medium

  * Transferring maintainership to Scott Talbert.
    According to the discussions in #783029, #788082, #810007
    Scott Talbert takes over the maintenance of suds.

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 08 Jan 2016 11:47:23 +0100

suds (0.4.1-16) unstable; urgency=medium

  * Using pypi.debian.net redirector in watch file.
  * Wrapping and sorting control files (wrap-and-sort -bts).
  * Updating year of debian copyright.
  * Adapting section naming in gbp.conf to current git-buildpackage.
  * Adding deprecation warnings for this package (Closes: #783029).

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 08 Jun 2015 12:55:30 +0200

suds (0.4.1-15) unstable; urgency=medium

  * Updating to Standards-Version: 3.9.6, no changes needed.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 08 Oct 2014 19:21:37 +0200

suds (0.4.1-14) unstable; urgency=medium

  * Removing accidently doubled option pgpsigurlmangle from watch file.
  * Improving 02-fix-unsecure-cache-path.patch to remove temporary files
    on program exit.

 -- Mathias Behrle <mathiasb@m9s.biz>  Mon, 26 May 2014 12:50:37 +0200

suds (0.4.1-13) unstable; urgency=medium

  * Removing  LC_ALL=C.UTF-8 as build environment.
  * Removing 04-merge-schema.patch, because it introduced errors in
    namespace detection (Closes: #743415).

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 02 Apr 2014 17:24:06 +0200

suds (0.4.1-12) unstable; urgency=medium

  * Updating year in debian copyright.
  * Removing debian/source/options, we are building with dpkg defaults.
  * Removing PYBUILD_NAME from rules, it is no more needed.
  * Adding pgp verification for uscan.
  * Adding gbp.conf for usage with git-buildpackage.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 11 Mar 2014 17:13:09 +0100

=== debian/control ===
Source: suds
Section: python
Priority: optional
Maintainer: Scott Talbert <swt@techie.net>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-pytest,
                     python-six,
                     python3-pytest,
                     python3-six,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/suds
Vcs-Git: https://salsa.debian.org/debian/suds.git
Homepage: https://bitbucket.org/jurko/suds

Package: python-suds
Architecture: all
Depends: python-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
Description: Lightweight SOAP client for Python - Python 2.7
 The suds project is a Python soap web services client lib. Suds leverages
 Python meta programming to provide an intuitive API for consuming web services.
 Objectification of types defined in the WSDL is provided without class
 generation. Programmers rarely need to read the WSDL since services and WSDL
 based objects can be easily inspected. Supports pluggable soap bindings.
 Note: this package now uses the Suds fork maintained by Jurko Gospodnetić.
 .
 This package provides the Python 2.7 module.

Package: python3-suds
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Description: Lightweight SOAP client for Python - Python 3.x
 The suds project is a Python soap web services client lib. Suds leverages
 Python meta programming to provide an intuitive API for consuming web services.
 Objectification of types defined in the WSDL is provided without class
 generation. Programmers rarely need to read the WSDL since services and WSDL
 based objects can be easily inspected. Supports pluggable soap bindings.
 Note: this package now uses the Suds fork maintained by Jurko Gospodnetić.
 .
 This package provides the Python 3.x module.

=== debian/tests/control ===
Tests: python-suds
Depends: python-suds, python-all, python-pytest, python-six

Tests: python3-suds
Depends: python3-suds, python3-all, python3-pytest, python3-six

=== debian/watch ===
version=3
opts=dversionmangle=s/~git.*$// https://bitbucket.org/jurko/suds/downloads .*/suds-jurko-(\d\S*)\.tar\.bz2

## suds 0.8.4

=== debian/changelog ===
suds (0.8.4-1) unstable; urgency=medium

  [ Bastian Germann ]
  * New upstream: suds-community (Closes: #923582)
  * gbp: Remove unnecessary config
  * Drop all upstream patches
  * docs: Replace README.{rst->md}
  * lintian: unused-entry-in-debian-source-include-binaries
  * lintian: out-of-date-standards-version
  * lintian: rules-requires-root-missing
  * Add d/copyright information
  * New upstream version 0.8.4

 -- Scott Talbert <swt@techie.net>  Sun, 16 Feb 2020 10:35:27 -0500

suds (0.7~git20150727.94664dd-8) unstable; urgency=medium

  * Add fix-FTBFS-in-python-3.8.patch (Closes: #943937).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 14:40:49 +0100

suds (0.7~git20150727.94664dd-7) unstable; urgency=medium

  * d/control: Move to DPMT
  * d/control: Update Standards Version to 4.4.1
  * Remove Python 2 subpackages (Closes: #938580)

 -- Scott Talbert <swt@techie.net>  Sun, 06 Oct 2019 22:22:17 -0400

suds (0.7~git20150727.94664dd-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Scott Talbert ]
  * d/control: Update Standards Version to 4.4.0
  * d/control: Update debhelper version and switch to -compat
  * d/patches: Add patch to fix tests with pytest 4

 -- Scott Talbert <swt@techie.net>  Tue, 06 Aug 2019 18:11:04 -0400

=== debian/control ===
Source: suds
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python3-pytest,
                     python3-six,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/suds
Vcs-Git: https://salsa.debian.org/python-team/modules/suds.git
Homepage: https://github.com/suds-community/suds

Package: python3-suds
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Description: Lightweight SOAP client for Python - Python 3.x
 The suds project is a Python soap web services client lib. Suds leverages
 Python meta programming to provide an intuitive API for consuming web services.
 Objectification of types defined in the WSDL is provided without class
 generation. Programmers rarely need to read the WSDL since services and WSDL
 based objects can be easily inspected. Supports pluggable soap bindings.
 Note: this package now uses the Suds fork maintained by Jurko Gospodnetić.
 .
 This package provides the Python 3.x module.

=== debian/tests/control ===
Tests: python3-suds
Depends: python3-suds, python3-all, python3-pytest, python3-six

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/suds-$1\.tar\.gz/ \
  https://github.com/suds-community/suds/tags .*/v(\d\S*)\.tar\.gz

## suds 1.0.0

=== debian/changelog ===
suds (1.0.0-1) unstable; urgency=medium

  * d/watch: Mangle beta versions
  * Update to new upstream version 1.0.0 (Closes: #997610)

 -- Scott Talbert <swt@techie.net>  Fri, 29 Oct 2021 20:49:26 -0400

suds (0.8.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Scott Talbert ]
  * Update to new upstream version 0.8.5
  * Update Standards-Version to 4.6.0
  * Update debhelper-compat to 13
  * Test supported Python versions vice installed

 -- Scott Talbert <swt@techie.net>  Wed, 18 Aug 2021 14:20:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: suds
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Talbert <swt@techie.net>,
            Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python3-pytest,
                      python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/modules/suds
-Vcs-Git: https://salsa.debian.org/python-team/modules/suds.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/suds
+Vcs-Git: https://salsa.debian.org/python-team/packages/suds.git
 Homepage: https://github.com/suds-community/suds
 
 Package: python3-suds

## suds 1.1.2

=== debian/changelog ===
suds (1.1.2-1) unstable; urgency=medium

  * Update to new upstream version 1.1.2
  * Update Standards-Version to 4.6.1

 -- Scott Talbert <swt@techie.net>  Tue, 02 Aug 2022 23:13:00 -0400

suds (1.1.0-1) unstable; urgency=medium

  * Update to new upstream version 1.1.0

 -- Scott Talbert <swt@techie.net>  Wed, 23 Mar 2022 20:12:22 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
 Build-Depends-Indep: python3-pytest,
                      python3-six,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/suds
 Vcs-Git: https://salsa.debian.org/python-team/packages/suds.git

## suds 1.2.0

=== requirements.txt ===
pytest>=2.4.0

=== debian/changelog ===
suds (1.2.0-2) unstable; urgency=medium

  * Remove unneeded Depends on python3-pkg-resources (Closes: #1083789)

 -- Scott Talbert <swt@techie.net>  Mon, 07 Oct 2024 19:36:59 -0400

suds (1.2.0-1) unstable; urgency=medium

  * Update to new upstream version 1.2.0
  * Update Standards-Version to 4.7.0 (no changes needed)
  * Remove dependency on python3-six (no longer needed)

 -- Scott Talbert <swt@techie.net>  Mon, 26 Aug 2024 20:14:10 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python3-pytest,
-                     python3-six,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/suds
 Vcs-Git: https://salsa.debian.org/python-team/packages/suds.git
@@ -18,8 +17,7 @@
 
 Package: python3-suds
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Description: Lightweight SOAP client for Python - Python 3.x
  The suds project is a Python soap web services client lib. Suds leverages

=== debian/tests/control ===
Tests: python3-suds
Depends: python3-suds, python3-all, python3-pytest

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/suds-$1\.tar\.gz/, \
      uversionmangle=s/-beta/~beta/" \
  https://github.com/suds-community/suds/tags .*/v(\d\S*)\.tar\.gz
